Description: Cryptographic File System
Name: cfs
Version: 1.1.2
Release: 1
Source0: ftp.mathematik.th-darmstadt.de/pub/linux/okir/cfs-1.1.2.tar.gz
Source1: ftp.mathematik.th-darmstadt.de/pub/linux/okir/cfs-1.1.2.additional-files.tar.gz
Patch: cfs-1.1.2.maninstall.diff
Copyright: Copyright (C) 1992, 1993, 1994 by AT&T
Group: Base

%prep
%setup -T -b 0
%setup -D -T -a 1
%patch -p1
make

%install
make install
rm -f /etc/rc.d/init.d/cfsfs /etc/rc.d/rc0.d/K65cfsfs /etc/rc.d/rc1.d/K65cfsfs /etc/rc.d/rc2.d/K65cfsfs /etc/rc.d/rc6.d/K65cfsfs /etc/rc.d/rc3.d/S65cfsfs /etc/rc.d/rc5.d/S65cfsfs
[ -d /.cfsfs ] && rmdir /.cfsfs
[ -d /crypt ] && rmdir /crypt
mkdir /.cfsfs
mkdir /crypt
chmod 000 /.cfsfs
cp cfsfs /etc/rc.d/init.d
chmod 755 /etc/rc.d/init.d/cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc0.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc1.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc2.d/K65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc3.d/S65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc5.d/S65cfsfs
ln -s ../init.d/cfsfs /etc/rc.d/rc6.d/K65cfsfs

%post
echo "portmap: localhost		# Used for cfs" >> /etc/hosts.allow
echo "/.cfsfs		localhost	# Used for cfs" >> /etc/exports

%postun
cp /etc/exports /etc/exports.rpmsave
cp /etc/hosts.allow /etc/hosts.allow.rpmsave
grep -v "portmap:[ 	]*localhost[ 	]*# Used for cfs" /etc/hosts.allow.rpmsave > /etc/hosts.allow
grep -v "/.cfsfs[ 	][ 	]*localhost[ 	]*# Used for cfs" /etc/exports.rpmsave > /etc/exports


%files
%doc README README.history README.install README.linux Changes.okir Cryptographic-File-System
/usr/sbin/cfsd
/usr/bin/cattach
/usr/bin/cdetach
/usr/bin/cmkdir
/usr/bin/cname
/usr/bin/ccat
/usr/bin/xsh
/usr/man/man8/ccat.8
/usr/man/man8/cfsd.8
/usr/man/man8/cname.8
/usr/man/man1/cattach.1
/usr/man/man1/cdetach.1
/usr/man/man1/cmkdir.1
/usr/man/man1/xsh.1
/etc/rc.d/init.d/cfsfs
/etc/rc.d/rc0.d/K65cfsfs
/etc/rc.d/rc1.d/K65cfsfs
/etc/rc.d/rc2.d/K65cfsfs
/etc/rc.d/rc3.d/S65cfsfs
/etc/rc.d/rc5.d/S65cfsfs
/etc/rc.d/rc6.d/K65cfsfs
%dir /.cfsfs
%dir /crypt
